<?php
/* --------------------------------------------------------------
  checkout_confirmation.php 2014-02-11 gm
  Gambio GmbH
  http://www.gambio.de
  Copyright (c) 2014 Gambio GmbH
  Released under the GNU General Public License (Version 2)
  [http://www.gnu.org/licenses/gpl-2.0.html]
  --------------------------------------------------------------


  based on:
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2002-2003 osCommerce(checkout_confirmation.php,v 1.137 2003/05/07); www.oscommerce.com
  (c) 2003   nextcommerce (checkout_confirmation.php,v 1.21 2003/08/17); www.nextcommerce.org
  (c) 2003 XT-Commerce - community made shopping http://www.xt-commerce.com
  ($Id: checkout_confirmation.php 1277 2005-10-01 17:02:59Z mz $)

  Released under the GNU General Public License
  -----------------------------------------------------------------------------------------
  Third Party contributions:
  agree_conditions_1.01         Autor:  Thomas Ploenkers (webmaster@oscommerce.at)

  Customers Status v3.x  (c) 2002-2003 Copyright Elari elari@free.fr
  | www.unlockgsm.com/dload-osc/ | CVS : http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/elari/?sortby=date#dirlist

  Credit Class/Gift Vouchers/Discount Coupons (Version 5.10)
  http://www.oscommerce.com/community/contributions,282
  Copyright (c) Strider | Strider@oscworks.com
  Copyright (c  Nick Stanko of UkiDev.com, nick@ukidev.com
  Copyright (c) Andre ambidex@gmx.net
  Copyright (c) 2001,2002 Ian C Wilson http://www.phesis.org

  Released under the GNU General Public License
  --------------------------------------------------------------------------------------- */

include('includes/application_top.php');

$GLOBALS['breadcrumb']->add(
    NAVBAR_TITLE_1_CHECKOUT_CONFIRMATION,
    xtc_href_link(
        FILENAME_CHECKOUT_SHIPPING,
        '',
        'SSL'
    )
);
$GLOBALS['breadcrumb']->add(NAVBAR_TITLE_2_CHECKOUT_CONFIRMATION);

// if the customer is not logged on, redirect them to the login page
if (isset($_SESSION['customer_id']) === false) {
    xtc_redirect(xtc_href_link(FILENAME_LOGIN, '', 'SSL'));
}

// mediafinanz
include_once(DIR_FS_CATALOG . 'includes/modules/mediafinanz/include_checkout_confirmation.php');

$coo_checkout_confirmation_control = MainFactory::create_object('CheckoutConfirmationContentControl');
$coo_checkout_confirmation_control->set_data('GET', $_GET);
$coo_checkout_confirmation_control->set_data('POST', $_POST);

$coo_checkout_confirmation_control->proceed();

$t_redirect_url = $coo_checkout_confirmation_control->get_redirect_url();
if (empty($t_redirect_url) == false) {
    xtc_redirect($t_redirect_url);
} else {
    $t_main_content = $coo_checkout_confirmation_control->get_response();
}

//add vrpayecommerce payment form ---------
$smarty = new Smarty;
$current_template = defined('CURRENT_TEMPLATE') ? constant('CURRENT_TEMPLATE') : '';

if ($current_template != 'Honeygrid') {
    $smarty->assign('LIGHTBOX', gm_get_conf('GM_LIGHTBOX_CHECKOUT'));
} else {
    $smarty->assign('LIGHTBOX', 'false');
}

$smarty->assign('LIGHTBOX_CLOSE', xtc_href_link(FILENAME_DEFAULT, '', 'NONSSL'));

$smarty->assign('language', $_SESSION['language']);
$smarty->assign('PAYMENT_BLOCK', $payment_block);
$smarty->caching = 0;

$payment_module = $_SESSION['payment'];

require_once(DIR_WS_MODULES. 'payment/'. $payment_module . '.php');
$payment_form = new $payment_module;

if ($payment_module == 'vrpayecommerce_easycredit') {
    $request = $payment_form->getServerToServerRequest($payment_widget_url);

    if ($request == 'ERROR_MERCHANT_SSL_CERTIFICATE') {
        $payment_form->redirectFailure('ERROR_MERCHANT_SSL_CERTIFICATE');
    } elseif (!$request || !isset($request['redirect']['url'])) {
        $payment_form->redirectFailure('ERROR_GENERAL_REDIRECT');
    }

    $transaction_result = VRpayecommercePaymentCore::getTransactionResult($request['result']['code']);

    if ($transaction_result == 'NOK') {
        $error_identifier = VRpayecommercePaymentCore::getFailedIdentifier($request['result']['code']);
        $payment_form->redirectFailure($error_identifier);
    }

    $smarty->assign('redirect_url', $request['redirect']['url']);
    $smarty->assign('parameters', $request['redirect']['parameters']);
} else {
    $checkout_id = $payment_form->getCheckoutId($payment_widget_url);
    $paymentWidgetContent = VRpayecommercePaymentCore::getPaymentWidgetContent(
        $payment_widget_url,
        $payment_form->getTestMode()
    );

    if (strpos($paymentWidgetContent, 'errorDetail') !== false) {
        xtc_redirect(
            xtc_href_link(
                'checkout_payment.php?payment_error='.$payment_module.'&error=ERROR_GENERAL_REDIRECT',
                '',
                "SSL",
                true,
                false
            )
        );
    }

    if ($payment_widget_url == 'ERROR_MERCHANT_SSL_CERTIFICATE') {
        xtc_redirect(
            xtc_href_link(
                'checkout_payment.php?payment_error='.$payment_module.'&error=ERROR_MERCHANT_SSL_CERTIFICATE',
                '',
                "SSL",
                true,
                false
            )
        );
    } elseif (!$checkout_id) {
        xtc_redirect(
            xtc_href_link(
                'checkout_payment.php?payment_error='.$payment_module.'&error=ERROR_GENERAL_REDIRECT',
                '',
                "SSL",
                true,
                false
            )
        );
    }
}

switch ($_SESSION['language_code']) {
    case 'de':
        $lang = $_SESSION['language_code'];
        break;
    default:
        $lang = "en";
}

$merchant_location = '';
if ($payment_module == 'vrpayecommerce_cards' || $payment_module == 'vrpayecommerce_cards_saved') {
    $merchant_location = $payment_form->getMerchantLocation();
}

$error = $payment_form->get_error();
$smarty->assign('error_message', $error['error']);
$smarty->assign('lang', $lang);
$smarty->assign('test_mode', $payment_form->getTestMode());
$smarty->assign('brand', $payment_form->getBrand());
$smarty->assign('recurring', $payment_form->isRecurring());
$smarty->assign('redirect', $payment_form->isRedirect());
$smarty->assign('payment_widget_url', $payment_widget_url);
$smarty->assign('merchant_location', $merchant_location);
$smarty->assign(
    'response_url',
    xtc_href_link(
        'ext/modules/payment/vrpayecommerce/checkout_response.php?payment_module='
        .$payment_module.'&response_from=checkout',
        '',
        "SSL",
        true,
        false
    )
);
$smarty->assign('cancel_url', xtc_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'));
$smarty->assign('registrations', $payment_form->getRecurringLists());

$t_main_content = $smarty->fetch(CURRENT_TEMPLATE . '/module/payment/vrpayecommerce/'.$payment_form->getTemplate());

//-------------------------------

$coo_layout_control = MainFactory::create_object('LayoutContentControl');
$coo_layout_control->set_data('GET', $_GET);
$coo_layout_control->set_data('POST', $_POST);
$coo_layout_control->set_('coo_breadcrumb', $GLOBALS['breadcrumb']);
$coo_layout_control->set_('coo_product', $GLOBALS['product']);
$coo_layout_control->set_('coo_xtc_price', $GLOBALS['xtPrice']);
$coo_layout_control->set_('c_path', $GLOBALS['cPath']);
$coo_layout_control->set_('main_content', $t_main_content);
$coo_layout_control->set_('request_type', $GLOBALS['request_type']);
$coo_layout_control->proceed();

$t_redirect_url = $coo_layout_control->get_redirect_url();
if (empty($t_redirect_url) === false) {
    xtc_redirect($t_redirect_url);
} else {
    echo $coo_layout_control->get_response();
}
